{ config, ... }:

{
  disabledModules = [ "services/audio/spotifyd.nix" ];
  imports = [ ../modules/spotifyd.nix ];


  services.spotifyd = {
    enable = true;
    settings.global = {
      bitrate = 320;
      zeroconf_port = 18572;
    };
  };

  networking.firewall.allowedTCPPorts = [ 4070 config.services.spotifyd.settings.global.zeroconf_port ];
  networking.firewall.allowedUDPPorts = [ 5353 ];
}
